complexType "CalculationAgent"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationAgentPartyReference+ | calculationAgentParty
</...>

Content Model Elements (2):

  calculationAgentParty, calculationAgentPartyReference

All Direct / Indirect Based Elements (1):

  calculationAgent

Known Usage Locations

- As direct type of elements (1):
  calculationAgent

Annotation
A type defining the ISDA calculation agent responsible for performing duties as defined in the applicable product definitions.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CalculationAgent"> <xsd:choice> <xsd:element maxOccurs="unbounded" name="calculationAgentPartyReference" type="PartyReference"/> <xsd:element name="calculationAgentParty" type="CalculationAgentPartyEnum"/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
calculationAgentParty

  Type: | CalculationAgentPartyEnum, simple content

  The ISDA calculation agent responsible for performing duties as defined in the applicable product definitions. For example, the Calculation Agent may be defined as being the Non-exercising Party.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ExercisingParty" | - | The party that gives notice of exercise. Per 2000 ISDA Definitions, Section 11.1. Parties, paragraph (d). See: http://www.FpML.org
  "NonExercisingParty" | - | The party that is given notice of exercise. Per 2000 ISDA Definitions, Section 11.1. Parties, paragraph (e). See: http://www.FpML.org
  "AsSpecifiedInMasterAgreement" | - | The Calculation Agent is determined by reference to the relevant master agreement. See: http://www.FpML.org
  "AsSpecifiedInStandardTermsSupplement" | - | The Calculation Agent is determined by reference to the relevant standard terms supplement. See: http://www.FpML.org
  "Both" | - | Both parties with joined rights to be a calculation agent. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="calculationAgentParty" type="CalculationAgentPartyEnum"/>

calculationAgentPartyReference

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. The party referenced is the ISDA Calculation Agent for the trade. If more than one party is referenced then the parties are assumed to be co-calculation agents, i.e. they have joint responsibility.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="calculationAgentPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.